Package org.apache.sling.installer.api.tasks

# Class TransformationResult

java.lang.Object
org.apache.sling.installer.api.tasks.TransformationResult

public class TransformationResult extends Object
A result of a `ResourceTransformer`. In most cases the new transformation result just contains new content (provided through `getInputStream()`. However, if the transformer is able to detect the new resource type and sets it, it must also provide a unique id ( `getResourceType()` and `getId()`.

## Constructor Summary

Constructors
Constructor
Description
`TransformationResult()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getAttributes()`
Attributes include the bundle symbolic name, bundle version, etc.
`String`
`getId()`
Get the new unique id
`InputStream`
`getInputStream()`
Get the new input stream
`String`
`getResourceType()`
Get the new resource type
`org.osgi.framework.Version`
`getVersion()`
Get the version
`void`
`setAttributes(Map<String,Object> attr)`
Set the new attributes.
`void`
`setId(String id)`
Set a new unique id.
`void`
`setInputStream(InputStream inputStream)`
Set a new input stream.
`void`
`setResourceType(String resourceType)`
Set a new resource type.
`void`
`setVersion(org.osgi.framework.Version version)`
Set the version.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransformationResult

public TransformationResult()

## Method Details

### getResourceType

public String getResourceType()
Get the new resource type

Returns:
  New resource type or `null`.

### getInputStream

public InputStream getInputStream()
Get the new input stream

Returns:
  New input stream or `null`.

### getId

public String getId()
Get the new unique id

Returns:
  New unique id or `null`.

### setResourceType

public void setResourceType(String resourceType)
Set a new resource type.

Parameters:
  `resourceType` - The resource type

### setId

public void setId(String id)
Set a new unique id.

Parameters:
  `id` - The unique id

### setInputStream

public void setInputStream(InputStream inputStream)
Set a new input stream.

Parameters:
  `inputStream` - The input stream

### getAttributes

public Map<String,Object> getAttributes()
Attributes include the bundle symbolic name, bundle version, etc.

Returns:
  The map if attributes.

### setAttributes

public void setAttributes(Map<String,Object> attr)
Set the new attributes.

Parameters:
  `attr` - The map of attributes

### setVersion

public void setVersion(org.osgi.framework.Version version)
Set the version.

Parameters:
  `version` - The new version
Since:
  1.2

### getVersion

public org.osgi.framework.Version getVersion()
Get the version

Returns:
  The version or `null`
Since:
  1.2

### toString

public String toString()

Overrides:
  `toString` in class `Object`